Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 170182 - gimp-print needs to be rebuilt for ghostscript 8.15.1-1
Summary: gimp-print needs to be rebuilt for ghostscript 8.15.1-1
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-10-08 12:05 UTC by Nicolas Mailhot
Modified: 2014-01-21 22:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-11 14:14:24 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2005-10-08 12:05:47 UTC
A new ghostscript version has hit Rawhide but it can not be installed without a
gimp-print rebuild (and gimp-print is used by a lot of stuff)

Comment 1 Tim Waugh 2005-10-10 08:47:58 UTC
Really?  I have gimp-print-4.2.7-12 installed as well as ghostscript-8.15.1-1.

What was the problem you encountered?

Comment 2 Nicolas Mailhot 2005-10-10 12:32:49 UTC
[root@rousalka nim]# yum check-update
Setting up repositories
development               100% |=========================| 1.1 kB    00:00
livna                     100% |=========================|  951 B    00:00
development-i386          100% |=========================| 1.1 kB    00:00
macromedia                100% |=========================|  903 B    00:00
extras-development        100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 1.1 MB    00:05
developmen: ################################################## 3913/3913
Added 18 new packages, deleted 18 old in 5.88 seconds
primary.xml.gz            100% |=========================| 1.1 MB    00:05
developmen: ################################################## 3913/3913
Added 18 new packages, deleted 18 old in 5.66 seconds

ghostscript.x86_64                       8.15.1-1               development
libgnome.x86_64                          2.12.0.1-1             development
[root@rousalka nim]# rpm -q ghostscript gimp-print
ghostscript-7.07-40
ghostscript-8.15-0.rc4.3
gimp-print-4.2.7-7
gimp-print-4.2.7-12
[root@rousalka nim]# yum --exclude libgnome -y update
Setting up Update Process
Setting up repositories
http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/core/development/
x86_64/repodata/repomd.xml: [Errno 4] IOError: HTTP Error 404: Date: Mon, 10 Oct
 2005 12:33:28 GMT
Server: Apache/2.0.46 (Red Hat)
Content-Length: 365
Connection: close
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
development               100% |=========================| 1.1 kB    00:00
livna                     100% |=========================|  951 B    00:00
http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/core/development/x86_64/repodata/repomd.xml:
[Errno 4] IOError: HTTP Error 404: Date: Mon, 10 Oct 2005 12:33:30 GMT
Server: Apache/2.0.46 (Red Hat)
Content-Length: 365
Connection: close
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
development-i386          100% |=========================| 1.1 kB    00:00
macromedia                100% |=========================|  903 B    00:00
extras-development        100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 1.1 MB    00:04
developmen: ################################################## 3913/3913
Added 18 new packages, deleted 18 old in 5.70 seconds
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for ghostscript to pack into transaction set.
ghostscript-8.15.1-1.x86_ 100% |=========================| 115 kB    00:00
---> Package ghostscript.x86_64 0:8.15.1-1 set to be updated
--> Running transaction check
--> Processing Dependency: libijs.so()(64bit) for package: gimp-print
--> Finished Dependency Resolution
Error: Missing Dependency: libijs.so()(64bit) is needed by package gimp-print


Comment 3 Nicolas Mailhot 2005-10-10 12:34:21 UTC
Probably some kind of yum boog. Dunno if seth would be interested or if manual
cleanup is better

Comment 4 Tim Waugh 2005-10-10 12:49:19 UTC
If libijs.so()(64bit) is really missing from ghostscript that's a ghostscript bug.

Comment 5 Tim Waugh 2005-10-11 10:50:09 UTC
Hmm, actually it should be libijs-0.35.so()(64bit), and that's provided in
ghostscript and required in gimp-print.

Why do you have gimp-print-4.2.7-7 installed?  This looks messed up:

[root@rousalka nim]# rpm -q ghostscript gimp-print
ghostscript-7.07-40
ghostscript-8.15-0.rc4.3
gimp-print-4.2.7-7
gimp-print-4.2.7-12

gimp-print is not a multilib package.

Comment 6 Nicolas Mailhot 2005-10-11 14:09:59 UTC
I think gimp-print is one of the firefox deps (maybe several levels remote) and
even if people are not supposed to use 32bit firefox on x86_64 it's pretty much
a requirement as soon as flash enters the equation.

I suspect yum made a mess of the multilib part, yes, the components should not
have different versions like this

Comment 7 Tim Waugh 2005-10-11 14:14:24 UTC
No, firefox does not require gimp-print, even transitively.  See 'rpm -q
--whatrequires gimp-print' to see the (very small) list of packages that do
require gimp-print:

gimp-print-plugin-4.2.7-7
gimp-print-utils-4.2.7-7
gimp-2.2.8-0.fc4.2

I don't see any package bug here, just a messed-up upgrade for some reason.


Note You need to log in before you can comment on or make changes to this bug.